<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package resilient
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	    <meta charset="<?php bloginfo( 'charset' ); ?>">
	    <meta name="viewport" content="width=device-width, initial-scale=1">
	    <link rel="profile" href="http://gmpg.org/xfn/11">

        <?php wp_head(); ?>
    </head>  
    <body <?php body_class(); ?> class="home"> 
      	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'resilient' ); ?></a>

        <div id="main-content"> 
       
            <div id="preload"> 
                <div class="kd-bounce"> 
                    <div></div>                     
                    <div></div>                     
                </div>                 
            </div>             
            <?php get_template_part('inc/mobile','menu'); ?>     
            <div class="container"> 
                <div class="row"> 
                    <div class="col-md-3"> 
                        <div class="header affix"> 
                            <div class="table"> 
                                <div class="table-cell"> 
                                  <div class="site-branding" >
		              	            <?php
			                         the_custom_logo();
			                         if ( is_front_page() && is_home() ) :
				                      ?>
				                     <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				                     <?php
			                          else :
				                      ?>
				                     <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
			        	             <?php
		                          	  endif;
			                         $resilient_description = get_bloginfo( 'description', 'display' );
			                        if ( $resilient_description || is_customize_preview() ) :
				                      ?>
			                     	<p class="site-description"><?php echo esc_html($resilient_description); /* WPCS: xss ok. */ ?></p>
			                        <?php endif; ?>
		                           </div><!-- .site-branding -->		

                                    <div class="main-menu"> 
                                        <nav> 
                                            <?php wp_nav_menu( array(
                                                   'theme_location' => 'primary',
                                                    'menu_class' => 'menu-list',
                                                    'container' => '',
                                                    'fallback_cb' => 'wp_bootstrap_navwalker::fallback',
                                                    'walker' => new wp_bootstrap_navwalker()
                                            ) ); ?> 
                                        </nav>                                         
                                    </div>                                     
                                </div>                                 
                            </div>                             
                        </div>                         
                    </div>                     
                </div>                 
            </div>             
        </div>     